Summary: An X Window System based IBM 3278/3279 terminal emulator.
Name: x3270
Version: 3.1.1.9
Release: 3
Copyright: MIT
Group: User Interface/X
Source: ftp://ftp.x.org/contrib/applications/x3270-%{version}.tgz
URL: http://www.geocities.com/SiliconValley/Peaks/7814
Prereq:  /usr/X11R6/bin/mkfontdir
BuildRoot: /var/tmp/%{name}-root

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications.  x3270 also allows you to telnet to an IBM
host from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an IBM
3278/3279 terminal emulator.

%prep
%setup -q -n x3270-3.1.1

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

# XXX Hack around mkfontdir madness on install.
make -k DESTDIR=$RPM_BUILD_ROOT install install.man || :

install -m644 X3270.xad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/X3270

( cd $RPM_BUILD_ROOT
  mkdir -p etc/X11/applnk/Utilities
  cat > ./etc/X11/applnk/Utilities/x3270.desktop <<EOF
[Desktop Entry]
Name=x3270
Type=Application
Comment=3270 terminal emulator
Exec=x3270
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/X11R6/lib/X11/fonts/misc && /usr/X11R6/bin/mkfontdir

%postun
if [ "$1" = "0" ]; then
  cd /usr/X11R6/lib/X11/fonts/misc && /usr/X11R6/bin/mkfontdir
fi

%files
%defattr(-,root,root)
%doc Docs
/usr/X11R6/bin/x3270
/usr/X11R6/bin/x3270if
/usr/X11R6/lib/X11/fonts/misc/3270*
/usr/X11R6/man/man1/*
%config(missingok) /etc/X11/applnk/Utilities/x3270.desktop
%config /usr/X11R6/lib/X11/app-defaults/X3270
%dir	/usr/X11R6/lib/X11/x3270
%config	/usr/X11R6/lib/X11/x3270/ibm_hosts

%changelog
* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.1.1.9 (see URL for pending 3.2alpha version).

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- change to directory before doing a mkfontdir

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- ibm_hosts needed %config (#788)

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Marc Ewing <marc@redhat.com>
- new version
- added wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
